
# InformationGeometry

This is the documentation of [**InformationGeometry.jl**](https://github.com/RafaelArutjunjan/InformationGeometry.jl), a Julia package for differential-geometric analyses of parameter inference problems.

| **Build Status** |
|:----------------:|
| [![appveyor](https://ci.appveyor.com/api/projects/status/github/RafaelArutjunjan/InformationGeometry.jl?svg=true)](https://ci.appveyor.com/project/RafaelArutjunjan/InformationGeometry-jl) [![codecov](https://codecov.io/gh/RafaelArutjunjan/InformationGeometry.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/RafaelArutjunjan/InformationGeometry.jl) |


## Main Uses

* maximum likelihood estimation
* construction and visualization of exact confidence regions
* efficient calculation of Kullback-Leibler divergences
* computation of geometric quantities such as geodesics and curvature on the parameter manifold


## Installation

As with any Julia package, **InformationGeometry.jl** can be added from the Julia terminal via
```julia
julia> ] add InformationGeometry
```
or alternatively by
```julia
julia> using Pkg; Pkg.add("InformationGeometry")
```
